# phpDox - Query\QueryBuilderInterface::getCompiledUpdate

# Query\QueryBuilderInterface::getCompiledUpdate

#### Returns the generated 'update' sql query

## Signature

`public function getCompiledUpdate([string $table = '', [boolean $reset = TRUE]] )`

## Parameters

`$table` — string
`$reset` — boolean

## Returns

string

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
480 | BooleanArgumentFlag | The method getCompiledUpdate has a boolean flag argument $reset, which is a certain sign of a Single Responsibility Principle violation.